MediaWiki 1.25 is Released!

From mwstake
Jump to: navigation, search

by on 27 May 2015 15:09 (EDT)

Tag.png Tags: Mediawiki Release, Release, Updates

While speaking at the Wikimedia Hackathon in Lyon, France last week, Chad Horohoe the MediaWiki Release Manager, announced the availably of MediaWiki 1.25. He says, 'This is a big release. There are some breaking changes and new features that are introduced."

Looking at the release notes, here's a few of the highlights.

  • $wgPageShowWatchingUsers was removed.
  • Edits are now prepared via AJAX as users type edit summaries. This behavior can be disabled via $wgAjaxEditStash.
  • (Template:Bug) The temporary option $wgIncludejQueryMigrate was removed, along with the jQuery Migrate library, as indicated when this option was provided in MediaWiki 1.24.
  • (Template:Bug) Enhanced recent changes and extended watchlist are now default. Documentation: https://meta.wikimedia.org/wiki/Help:Enhanced_recent_changes and https://www.mediawiki.org/wiki/Manual:$wgDefaultUserOptions.
  • MediaWiki now natively supports page status indicators: icons (or short text snippets) usually displayed in the top-right corner of the page. They have been in use on Wikipedia for a long time, implemented using templates and CSS absolute positioning.
  • Update jQuery from v1.11.1 to v1.11.2.
  • External libraries installed via composer will now be displayed on Special:Version in their own section. Extensions or skins that are installed via composer will not be shown in this section as it is assumed they will add the proper credits to the skins or extensions section. They can also be accessed through the API via the new siprop=libraries to ApiQuerySiteInfo.
  • MediaWiki now requires certain external libraries to be installed. In the past these were bundled inside the Git repository of MediaWiki core, but now they need to be installed separately. For users using the tarball, this will be taken care of and no action will be required. Users using Git will either need to use composer to fetch dependencies or use the mediawiki/vendor repository which includes all dependencies for MediaWiki core and ones used in Wikimedia deployment. Detailed instructions can be found at: https://www.mediawiki.org/wiki/Download_from_Git#Fetch_external_libraries
  • The skin autodiscovery mechanism, deprecated in MediaWiki 1.23, has been removed. See https://www.mediawiki.org/wiki/Manual:Skin_autodiscovery for migration guide for creators and users of custom skins that relied on it.
  • PHP 5.3.3 is now required (from 5.3.2)
  • Extensions and skins are now loaded through a new registration system
  • Profiling was completely overhauled to use the xhprof module.

You can read Chad's announcement here on the mediawiki-l archive.

The release was followed quickly by 1.25.1, which fixed a syntax error in two JSON files.